Subject: Re: kilauea compilation breaks with v3.3 kernel and ELDK 4.2

From: Frank E. Svendsbøe <[email-masked]>
Date: Mon, 2 Apr 2012 10:37:12 +0200

On Mon, Apr 02, 2012 at 04:28:29PM +1000, Tony Breeds wrote:
> On Mon, Apr 02, 2012 at 12:01:55PM +1000, Benjamin Herrenschmidt wrote:
> 
> > Ok, I've asked Tony to have a look at splitting the build decision
> > in arch/powerpc/boot along the same lines as the CPU families... ie only
> > wrappers for platforms potentially supported by the built kernel. That
> > should fix it.
> 
> Please try this patch.  Only lightly tested here.  I haven't "split up"
> src-wlib yet as I wanted to verify I'm on the right track.
>

Thanks. It compiles now (for 8xx), but I still need to resolve a
vmalloc failure during boot that occurred sometime after 3.2, so I
haven't been able to test it yet.

You're on the right track. Now continue splitting up src-wlib :)

-- 
Best regards,
Frank